<template>
  <div />
</template>

<script>
import ZoomableSunburstChart from "@/plugins/d3/zoomable-sunburst-chart.js";

export default {
  name: "ZoomableSunburstChart",

  props: {
    data: {
      type: Object,
      required: true,
    },
    width: {
      type: Number,
      required: false,
      default: () => 500,
    },
  },

  mounted() {
    if (this.data.children) {
      ZoomableSunburstChart(this.$el, {
        data: this.data,
        width: this.width,
      });
    }
  },
};
</script>

<style>
.show-icon {
  opacity: 1;
  transition-duration: 200ms;
  transition-property: opacity;
  transition-delay: 200ms;
}
.hide-icon {
  opacity: 0;
  transition-duration: 200ms;
  transition-property: opacity;
  transition-delay: 200ms;
}
</style>
